cygport/cygclass/wxwidgets.cygclass

Cygport Reference Manual

### TABLE OF CONTENTS

- wxwidgets.cygclass

- WX_VERSION
- WX_TOOLKIT
- WX_CODESET
- WX_CONFIG
- WX_CFLAGS
- WX_LIBS
- wx-config

## wxwidgets.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      WX_VERSION="X.Y"
      [WX_CODESET="..."]
      [WX_TOOLKIT="..."]
      inherit wxwidgets

DESCRIPTION

The wxWidgets toolkit is a cross-platform, C++ GUI toolkit which is built on top of other GUI toolkits for a native look on all platforms. Each combination of major.minor version, backend toolkit, and choice of ANSI or Unicode text codesets are parallel-installable. Packages which depend on the wxWidgets toolkit will only build against one or two versions at any given time, and may require a particular codeset or toolkit.

This cygclass selects the wx-config script for the desired version, backend tookit, and codeset of the wxWidgets toolkit.

NOTE

When cross-compiling, cross.cygclass must be inherit()ed BEFORE wxwidgets.cygclass.

## WX_VERSION

[ Top ] [ wxwidgets.cygclass ] [ Variables ]

DESCRIPTION

The desired major.minor branch of the wxWidgets toolkit. This variable must be set before inherit()ing the wxwidgets.cygclass.

NOTE

Even minor version numbers represent stable branches; versions 2.6, 2.8 and 3.0 are supported.

## WX_TOOLKIT

[ Top ] [ wxwidgets.cygclass ] [ Variables ]

DESCRIPTION

The desired backend toolkit version of the wxWidgets toolkit. Possible values are:

- cocoa: (until 2.8) for Mac OS X Cocoa
- dfb: for DirectFB (usually Linux embedded)
- gtk2: the default for modern X11 desktop platforms, including Cygwin
- gtk3: a newer alternative for modern X11 desktop platforms
- gtk: for older X11 platforms with the deprecated 1.x version of GTK+
- mac: (until 2.8) for Mac OS X Carbon
- mgl: for SciTech MGL cross-platform graphics library (default on DJGPP)
- microwin: for Microwindows (aka Nano X)
- motif: for X11 systems using Motif/LessTif (default on older UNIXes)
- msw: for Microsoft Windows (default on MinGW)
- osx_carbon: (since 3.0) for Mac OS X Carbon interface
- osx_cocoa: (since 3.0) for Mac OS X Cocoa interface
- osx_iphone: (since 3.0) for iOS devices (iPhone/iPod Touch)
- pm: for OS/2 EMX
- x11: for X11 systems without another GUI toolkit

This variable must be set before inherit()ing the wxwidgets.cygclass. If undefined, the default is "gtk2" on Cygwin; when cross-compiling, the default depends on CROSS_HOST as indicated above.

## WX_CODESET

[ Top ] [ wxwidgets.cygclass ] [ Variables ]

DESCRIPTION

The choice of text codeset of the wxWidgets toolkit. Possible values are "ansi" and "unicode", however the "gtk" (1.x) and "motif" WX_TOOLKIT options do not support "unicode".

This variable must be set before inherit()ing the wxwidgets.cygclass. If undefined, "unicode" is the default if supported by the given WX_TOOLKIT.

## WX_CONFIG

[ Top ] [ wxwidgets.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the wx-config script for the given WX_VERSION, WX_TOOLKIT, and WX_CODESET (and CROSS_HOST if cross-compiling). This definition is exported to the build environment.

## WX_CFLAGS

[ Top ] [ wxwidgets.cygclass ] [ Definitions ]

DESCRIPTION

Compile flags for the specified version/toolkit/codeset of wxWidgets. This is equivalent to `$WX_CONFIG --cflags`.

## WX_LIBS

[ Top ] [ wxwidgets.cygclass ] [ Definitions ]

DESCRIPTION

Link flags for the specified version/toolkit/codeset of wxWidgets. This is equivalent to `$WX_CONFIG --libs`.

NOTE

This will contain the standard, non-"contrib" link libraries shipped with wxWidgets. If you need to link against one of the "contrib" libraries, you need to call `$WX_CONFIG --libs library1,library2,...`. In this form, WX_CONFIG will automatically add 'base', but not 'core', which almost all wxWidgets GUI applications will need. Third-party link library flags cannot be determined by WX_CONFIG and will need to be added manually.

## wx-config

[ Top ] [ wxwidgets.cygclass ] [ General Functions ]

DESCRIPTION

Wrapper function for calling WX_CONFIG.